from pyne.mesh import Mesh, IMeshTag
import numpy as np

m = Mesh(structured=True, "../../fw_neutron/fw_n.h5m")
m.flux = IMeshTag(217, float)
m.src = IMeshTag(217, float)

source = np.zeros(shape=(len(m), 217))

fluxes = m.flux[:]

for i, fx in enumerate(fluxes[:, 42:]):
    source[i, 42:] = [1./a if a > 0 else 0 for a in fx]

m.src[:] = source

m.mesh.save("adj_n_src.h5m")
