from pyne.mesh import Mesh, IMeshTag
import numpy as np

sc = [np.linspace(-120, 120, 49),
      np.linspace(-120, 120, 49),
      np.linspace(0, 350, 71)]

m = Mesh(structured=True, structured_coords=sc, structured_ordering="zyx")
m.source_density = IMeshTag(175, float)

s = np.zeros(shape=(len(m), 175))

temp = []
k = 10
for i in range(48):
    print(k)
    for j in range(48):
       temp.append(k)
    k -= 9./47

s[0:2304, 167] = temp

m.source_density[:] = s
m.mesh.save("n_linear_src_mc.h5m")
