import numpy as np

mats = []
with open("materials.txt", 'r') as f:
    for line in f.readlines():
        mats.append(line.split(":")[1].strip())

eta_fw = np.load("FW.npy")
eta_sheild = np.load("Shield.npy")
eta_vv = np.load("VV.npy")

for i, mat in enumerate(mats):
    print("{0} & {1:.2f} & {2:.2f} & {3:.2f} & {4:.2f} & {5:.2f} & {6:.2f} \\\\\\hline".format(
        mat.replace("_", " "), np.min(eta_fw[i,:,:]), np.max(eta_fw[i,:,:]),
             np.min(eta_sheild[i,:,:]), np.max(eta_sheild[i,:,:]),
             np.min(eta_vv[i,:,:]), np.max(eta_vv[i,:,:])))
