from pyne.mesh import Mesh, IMeshTag
import numpy as np

adj_p_mesh = Mesh(structured=True, mesh="../../gtcadis/adj_photon/adj_p.h5m")
adj_p_mesh.flux = IMeshTag(217, float)
adj_p = adj_p_mesh.flux[:]
adj_p = adj_p[:, :42]

m = Mesh(structured=True, mesh="photon_source_file.h5m".format(x))
m.source_density = IMeshTag(42, float)
sd = m.source_density[:]
result = 0
for i in range(len(m)):
    for j in range(42):
        if not (float('-inf') < float(adj_p[i,j]) < float('inf')): 
            print("adj[{}, {}]: {} ".format(i, j, adj_p[i,j]))
        elif not (float('-inf') < float(sd[i,j]) < float('inf')): 
            print("sd[{}, {}]: {} ".format(i, j, sd[i,j]))
        else:
            result += adj_p[i,j]*sd[i,j]*25 # where 25 cm^3 is the volume of each mesh volume element

print("{1:0.3E} Sv/s".format(result))
